Intervals Developers
API Reference
Sign inGet API key
IntroductionAuthenticationErrorsPaginationRate LimitsIdempotency

Endpoints

GETYour organizationGETAll eventsGETRetrieve an eventPOSTCreate an eventGETAll registrationsPOSTRegister a participantGETAll recurrencesGETAll groupsGETRetrieve a groupGETEvents in a group
Changelog
Sign inGet API key

Endpoints

Retrieve a group

Retrieve a single event group by slug. Scoped to your organization.

GET/groups/:slug
curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/groups/friday-night-lights

Path Parameters

slugstringrequired

The group slug

Authorization

read:groups

Response

_idstringrequired

Group ID

organizationIdstringrequired

Owning organization ID

namestringrequired

Group name

slugstringrequired

URL-friendly slug (unique)

descriptionstring

Group description

statusenum<string>required

Lifecycle status

Available options: active,paused,archived

cardImageIdstring

Card image storage ID

coverImageIdstring

Cover image storage ID

{
  "data": {
    "_id": "g14abc789def012",
    "organizationId": "k57abc123def456",
    "name": "Friday Night Lights",
    "slug": "friday-night-lights",
    "description": "Our weekly Friday evening track workouts.",
    "status": "active"
  }
}
All groupsEvents in a group

Request

curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/groups/friday-night-lights

Response

{
  "data": {
    "_id": "g14abc789def012",
    "organizationId": "k57abc123def456",
    "name": "Friday Night Lights",
    "slug": "friday-night-lights",
    "description": "Our weekly Friday evening track workouts.",
    "status": "active"
  }
}